#!/usr/bin/env python
# -*- coding: utf-8 -*-

import setuptools
import Html5YuyinApiRumenZhinanJifan
import os
from os import path

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

for subdir, _, _ in os.walk('Html5YuyinApiRumenZhinanJifan'):
    fname = path.join(subdir, '__init__.py')
    open(fname, 'a').close()
    
setuptools.setup(
    name="html5-yuyin-api-rumen-zhinan-jifan",
    version=Html5YuyinApiRumenZhinanJifan.__version__,
    url="https://github.com/apachecn/html5-yuyin-api-rumen-zhinan-jifan",
    author=Html5YuyinApiRumenZhinanJifan.__author__,
    author_email=Html5YuyinApiRumenZhinanJifan.__email__,
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: Other/Proprietary License",
        "Natural Language :: Chinese (Simplified)",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Text Processing :: Markup :: Markdown",
        "Topic :: Text Processing :: Markup :: HTML",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Software Development :: Documentation",
        "Topic :: Documentation",
    ],
    description="HTML5 语音 API 入门指南（机翻）",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords=[],
    install_requires=[],
    python_requires=">=3.6",
    entry_points={
        'console_scripts': [
            "html5-yuyin-api-rumen-zhinan-jifan=Html5YuyinApiRumenZhinanJifan.__main__:main",
            "Html5YuyinApiRumenZhinanJifan=Html5YuyinApiRumenZhinanJifan.__main__:main",
        ],
    },
    packages=setuptools.find_packages(),
    package_data={'': ['*']},
)
